declare const setErrorCodes: (newCodes: any) => void;
declare const addParsers: (newParsers: any) => void;
declare const getParsers: () => {};
export declare class ApiBridge {
    events: any;
    headers: any;
    constructor();
    reset(): void;
    addHeader(name: any, value: any): void;
    removeHeader(name: any): void;
    getCustomHeaders(): any;
    getPrefix(data: any): any;
    handleCatch(ex: any): {
        status: string;
        error: {
            message: any;
            stack: any;
        };
    };
    get(url: any, params?: {}, headers?: {}, query?: {}, { plain }?: any): Promise<any>;
    rawPost(url: any, body: any, headers?: {}, query?: {}, { method, plain }?: any): Promise<any>;
    post(url: any, body: any, headers?: {}, query?: {}, { plain }?: any): Promise<any>;
    update(url: any, body: any, headers?: {}, query?: {}, { plain }?: any): Promise<any>;
    patch(url: any, body?: {}, headers?: {}, query?: {}, { plain }?: any): Promise<any>;
    delete(url: any, body?: {}, headers?: {}, query?: any, { plain }?: any): Promise<any>;
    checkStatus(response: any): any;
    parseJSON(response: any): any;
    responseReader(response: any): any;
    processCustomParser(response: any): any;
    messageParser(response: any): any;
}
declare const _default: ApiBridge;
export default _default;
export { setErrorCodes, getParsers, addParsers };
